# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2017-07-09 14:49
from __future__ import unicode_literals

from django.db import migrations, models
import multiselectfield.db.fields

def change_structure(apps, schema_editor):
    Ticket = apps.get_model('guichet', 'Ticket')
    for ticket in Ticket.objects.all():
        if ticket.year_choice_old == -2:
            ticket.year_choice = ['4','5']
        elif ticket.year_choice_old == -1:
            ticket.year_choice = ['1','2','3']
        elif ticket.year_choice_old == 0:
            ticket.year_choice = None
        elif 0 < ticket.year_choice_old < 5:
            ticket.year_choice = [str(ticket.year_choice_old)]
        else:
            raise ValueError
        ticket.save()

class Migration(migrations.Migration):

    dependencies = [
        ('guichet', '0052_auto_20170709_1400'),
    ]

    operations = [
        migrations.RenameField(
            model_name='ticket',
            old_name='year_choice',
            new_name='year_choice_old',
        ),
        migrations.AddField(
            model_name='ticket',
            name='year_choice',
            field=multiselectfield.db.fields.MultiSelectField(blank=True, choices=[(1, '\xc9tudiants en premi\xe8re ann\xe9e'), (2, '\xc9tudiants en deuxi\xe8me ann\xe9e'), (3, '\xc9tudiants en troisi\xe8me ann\xe9e'), (4, "Diplom\xe9s de l'ann\xe9e courante"), (5, 'Diplom\xe9s des ann\xe9es pr\xe9c\xe9dentes')], max_length=9, verbose_name='Restriction par ann\xe9e'),
        ),
#        migrations.RunPython(change_structure),
        migrations.RemoveField(
            model_name='ticket',
            name='year_choice_old',
        ),
    ]
